Package wx :: Package lib :: Package agw :: Module labelbook :: Class ImageContainerBase

[frames | no frames]

## Type ImageContainerBase

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                     Panel --+
                             |
                            ImageContainerBase

Known Subclasses:
  `ImageContainer`, `LabelContainer`

Base class for FlatImageBook image container.

Method Summary
| ``__init__`(self, parent, id, pos, size, style, name)` Default class constructor.
| ``AddPage`(self, caption, selected, imgIdx)` Adds a page to the container.
| ``AssignImageList`(self, imglist)` Assigns an image list to the ImageContainerBase.
| ``CanDoBottomStyle`(self)` Allows the parent to examine the children type.
| ``ClearAll`(self)` Deletes all the pages in the container.
| ``ClearFlag`(self, flag)` Removes flag from the style.
| ``DoDeletePage`(self, page)` Does the actual page deletion.
| ``DrawPin`(self, dc, rect, downPin)` Draw a pin button, that allows collapsing of the image panel.
| ``FixTextSize`(self, dc, text, maxWidth)` Fixes the text, to fit maxWidth value.
| ``GetImageList`(self)` Return the image list for ImageContainerBase.
| ``GetImageSize`(self)` Returns the image size inside the ImageContainerBase image list.
| ``HasFlag`(self, flag)` Tests for existance of flag in the style.
| ``HitTest`(self, pt)` Returns the index of the tab at the specified position or wx.NOT_FOUND if None, plus the flag style of HitTest.
| ``OnEraseBackground`(self, event)` Handles the wx.EVT_ERASE_BACKGROUND event for ImageContainerBase.
| ``OnMouseLeaveWindow`(self, event)` Handles the wx.EVT_LEAVE_WINDOW event for ImageContainerBase.
| ``OnMouseLeftDown`(self, event)` Handles the wx.EVT_LEFT_DOWN event for ImageContainerBase.
| ``OnMouseLeftUp`(self, event)` Handles the wx.EVT_LEFT_UP event for ImageContainerBase.
| ``OnMouseMove`(self, event)` Handles the wx.EVT_MOTION event for ImageContainerBase.
| ``OnSize`(self, event)` Handles the wx.EVT_SIZE event for ImageContainerBase.
| ``PointOnSash`(self, pt)` Tests whether pt is located on the sash.
| ``SetPageImage`(self, page, imgIdx)` Sets the page image.
| ``SetPageText`(self, page, text)` Sets the page image.

Property Summary

Instance Method Details

### __init__(self, parent, id=-1, pos=wx.Point(-1, -1), size=wx.Size(-1, -1), style=0, name='ImageContainerBase')
(Constructor)

Default class constructor.

Parameters: @param parent - parent window @param id - Window id @param pos - Window position @param size - Window size @param style - possible style INB_XXX

  Overrides:
    `wx.Panel.__init__`

### AddPage(self, caption, selected=False, imgIdx=-1)

Adds a page to the container.

### AssignImageList(self, imglist)

Assigns an image list to the ImageContainerBase.

### CanDoBottomStyle(self)

Allows the parent to examine the children type. Some implementation (such as LabelBook), does not support top/bottom images, only left/right.

### ClearAll(self)

Deletes all the pages in the container.

### ClearFlag(self, flag)

Removes flag from the style.

### DoDeletePage(self, page)

Does the actual page deletion.

### DrawPin(self, dc, rect, downPin)

Draw a pin button, that allows collapsing of the image panel.

### FixTextSize(self, dc, text, maxWidth)

Fixes the text, to fit maxWidth value. If the text length exceeds maxWidth value this function truncates it and appends two dots at the end. ("Long Long Long Text" might become "Long Long...)

### GetImageList(self)

Return the image list for ImageContainerBase.

### GetImageSize(self)

Returns the image size inside the ImageContainerBase image list.

### HasFlag(self, flag)

Tests for existance of flag in the style.

  Overrides:
    `wx.Window.HasFlag`

### HitTest(self, pt)

Returns the index of the tab at the specified position or wx.NOT_FOUND if None, plus the flag style of HitTest.

  Overrides:
    `wx.Window.HitTest`

### OnEraseBackground(self, event)

Handles the wx.EVT_ERASE_BACKGROUND event for ImageContainerBase.

### OnMouseLeaveWindow(self, event)

Handles the wx.EVT_LEAVE_WINDOW event for ImageContainerBase.

### OnMouseLeftDown(self, event)

Handles the wx.EVT_LEFT_DOWN event for ImageContainerBase.

### OnMouseLeftUp(self, event)

Handles the wx.EVT_LEFT_UP event for ImageContainerBase.

### OnMouseMove(self, event)

Handles the wx.EVT_MOTION event for ImageContainerBase.

### OnSize(self, event)

Handles the wx.EVT_SIZE event for ImageContainerBase.

### PointOnSash(self, pt)

Tests whether pt is located on the sash.

### SetPageImage(self, page, imgIdx)

Sets the page image.

### SetPageText(self, page, text)

Sets the page image.

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:55:13 2009 | http://epydoc.sf.net